Skip to navigation

Create or update a registered Molecule

Deprecated

Create or update a registered Molecule.

Schema field links can be populated using entity registry IDs or API IDs. In the value field of the Field resource, the object {"entityRegistryId": ENTITY_REGISTRY_ID} may be provided instead of the API ID if desired (see example value).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_registry_idstringRequired

Request

This endpoint expects an object.
namestringRequired
Name of the Molecule.
registryIdstringRequired
schemaIdstringRequired
ID of the Molecule's schema.
chemicalStructureobjectRequired
Chemical structure of the Molecule.
archiveRecordobjectOptional
Currently, we only support setting a null value for archiveRecord, which unarchives the item
fieldsmap from strings to objectsOptional
Fields to set on the Molecule. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
aliaseslist of stringsOptional
Aliases to add to the Molecule.
authorIdslist of stringsOptional
IDs of users to set as the Molecule's authors.
customFieldsmap from strings to objectsOptional
Custom fields to add to the Molecule. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderIdstringOptional
ID of the folder containing the Molecule.

Response

OK
aliaseslist of stringsOptional
Array of aliases.
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Molecule in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
canonicalizedSmilesstringOptional
The canonicalized chemical structure in SMILES format.
createdAtdatetimeOptionalRead-only
DateTime the Molecule was created.
creatorobjectOptional
customFieldsmap from strings to objectsOptional
Custom fields set on the Molecule.
entityRegistryIdstring or nullOptional
Registry ID of the Molecule if registered.
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
ID of the folder that contains the Molecule.
idstringOptional
ID of the Molecule.
modifiedAtdatetimeOptionalRead-only
DateTime the Molecule was last modified.
namestringOptional
Name of the Molecule.
originalSmilesstring or nullOptional
The original chemical structure supplied by the user in SMILES format. Null if the user did not originally supply SMILES.
registrationOriginobject or nullOptional
registryIdstring or nullOptional
Registry the Molecule is registered in.
schemaobject or nullOptional
webURLstringOptionalRead-onlyformat: "uri"
URL of the Molecule.

Errors

400
Bad Request Error